<?php

namespace Kufer\Web\KuferTools\Dozent\HonorarBfi\HonorarUebersicht;

use Kufer\Web\KuferTools\Basis\Controller\ToolController;

class HonorarUebersichtController extends ToolController
{
  protected function getRequestObj()
  {
    $requestObj = new HonorarUebersichtRequest();
    $requestObj->einstieg = \GetOperations::isDefined('einstieg');

    return $requestObj;
  }

  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HonorarUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  public function getPresenter($pUseCaseResponse)
  {
    return new HonorarUebersichtPresenter($pUseCaseResponse);
  }
}